Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-2857

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2014-2857
Last Modified 22 Apr 2014 01:54:17
Published 15 Apr 2014 07:55:08
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2014-2857

Summary

The default configuration of the Resources plugin 1.0.0 before 1.2.6 for Pivotal Grails 2.0.0 through 2.3.6 does not properly restrict access to files in the META-INF directory, which allows remote attackers to obtain sensitive information via a direct request. NOTE: this issue was SPLIT from CVE-2014-0053 due to different researchers per ADT5.

Vulnerable Systems

Application

  • Gopivotal Grails 2.0.0

  • Gopivotal Grails 2.0.1

  • Gopivotal Grails 2.0.2

  • Gopivotal Grails 2.0.3

  • Gopivotal Grails 2.0.4

  • Gopivotal Grails 2.1.0

  • Gopivotal Grails 2.1.1

  • Gopivotal Grails 2.1.2

  • Gopivotal Grails 2.1.3

  • Gopivotal Grails 2.1.4

  • Gopivotal Grails 2.1.5

  • Gopivotal Grails 2.2.0

  • Gopivotal Grails 2.2.1

  • Gopivotal Grails 2.2.2

  • Gopivotal Grails 2.2.3

  • Gopivotal Grails 2.2.4

  • Gopivotal Grails 2.2.5

  • Gopivotal Grails 2.3.0

  • Gopivotal Grails 2.3.1

  • Gopivotal Grails 2.3.2

  • Gopivotal Grails 2.3.3

  • Gopivotal Grails 2.3.4

  • Gopivotal Grails 2.3.5

  • Gopivotal Grails 2.3.6

  • Gopivotal Grails-resources 1.0.0

  • Gopivotal Grails-resources 1.0.2

  • Gopivotal Grails-resources 1.1.0

  • Gopivotal Grails-resources 1.1.1

  • Gopivotal Grails-resources 1.1.2

  • Gopivotal Grails-resources 1.1.4

  • Gopivotal Grails-resources 1.1.5

  • Gopivotal Grails-resources 1.1.6

  • Gopivotal Grails-resources 1.2.0

  • Gopivotal Grails-resources 1.2.1

  • Gopivotal Grails-resources 1.2.2

  • Gopivotal Grails-resources 1.2.3

  • Gopivotal Grails-resources 1.2.4

  • Gopivotal Grails-resources 1.2.5

  • Gopivotal Resources 1.0.0

  • Gopivotal Resources 1.0.2

  • Gopivotal Resources 1.1.0

  • Gopivotal Resources 1.1.1

  • Gopivotal Resources 1.1.2

  • Gopivotal Resources 1.1.4

  • Gopivotal Resources 1.1.5

  • Gopivotal Resources 1.1.6

  • Gopivotal Resources 1.2.0

  • Gopivotal Resources 1.2.1

  • Gopivotal Resources 1.2.2

  • Gopivotal Resources 1.2.3

  • Gopivotal Resources 1.2.4

  • Gopivotal Resources 1.2.5


References

BUGTRAQ - 20140227 Update: CVE-2014-0053 Information Disclosure when using Grails

CONFIRM - http://www.gopivotal.com/security/cve-2014-0053


Last Updated: 27 May 2016 11:05:00